# CommonLog
<span class="source-link">[[Source]](src/net-http/common_log.md#L3)</span>

Logs HTTP requests in the common log format.


```pony
class ref CommonLog is
  Logger val
```

#### Implements

* [Logger](net-http-Logger) val

---

## Constructors

### create
<span class="source-link">[[Source]](src/net-http/common_log.md#L9)</span>


```pony
new val create(
  out: OutStream tag)
: CommonLog val^
```
#### Parameters

*   out: [OutStream](builtin-OutStream) tag

#### Returns

* [CommonLog](net-http-CommonLog) val^

---

## Public Functions

### apply
<span class="source-link">[[Source]](src/net-http/common_log.md#L12)</span>


```pony
fun val apply(
  ip: String val,
  body_size: USize val,
  request: Payload val,
  response: Payload val)
: None val
```
#### Parameters

*   ip: [String](builtin-String) val
*   body_size: [USize](builtin-USize) val
*   request: [Payload](net-http-Payload) val
*   response: [Payload](net-http-Payload) val

#### Returns

* [None](builtin-None) val

---

## Private Functions

### _entry
<span class="source-link">[[Source]](src/net-http/common_log.md#L59)</span>


```pony
fun box _entry(
  s: String val)
: String val
```
#### Parameters

*   s: [String](builtin-String) val

#### Returns

* [String](builtin-String) val

---

